/*
 * ##################################################### Start Product Addon #####################################################
 */

// Add product specific setting here. Product specific settings are superior to manufacturer settings.
 
MainSite.prototype.configureProductSettings = function() {
  this.kimFriendlyName = 'ise KNX Hue';
} 

/*
 * ##################################################### End Product Addon #####################################################
 */

 /*
 * ##################################################### Start MainSite Addon #####################################################
 */

MainSite.prototype.addProductTopNavMenuItems = function() {
  this.menu.system.target.insertAsFirst(new MenuItem('change_settings', 'NetworkSettingsPage'));
  this.pages['NetworkSettingsPage'] = new NetworkSettingsPage();
  this.pages['NetworkSettingsPage'].ipSettingsFormEnabled = true;
  this.pages['NetworkSettingsPage'].ntpSettingsFormEnabled = true;

  this.menu.insertAfter(new MenuItem('scene_menu', 'SceneConfigurationPage'), this.menu.device_status);
  this.pages['SceneConfigurationPage'] = new SceneConfigurationPage();

  this.menu.insertAfter(new MenuItem('light_config', 'LightConfigurationPage'), this.menu.device_status);
  this.pages['LightConfigurationPage'] = new LightConfigurationPage();

  mainSite.homepage = this.pages['LightConfigurationPage'];
}

/*
 * ##################################################### End MainSite Addon #####################################################
 */